Get proxies

Base URL
https://{kibana_url}
  • GET /api/fleet/proxies
  • GET /s/{space_id}/api/fleet/proxies
Auth

List all Fleet proxies.

Required authorization

Privileges fleet-settings-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
items object[] · max items: 10000 required
certificate string nullable
certificate_authorities string nullable
certificate_key string nullable
id string · min length: 0 required
is_preconfigured boolean · default: false
name string · min length: 0 required
proxy_headers map string to boolean | number | string nullable
url string required
page number required
perPage number required
total number required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}